summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorGiampaolo Lauria <lauria2@yahoo.com>2011-06-28 12:29:09 -0400
committerAndrew Tridgell <tridge@samba.org>2011-07-21 10:32:23 +1000
commit9f32f86018ac6463586bcac74424730a1aa9ac3b (patch)
treedffa0538ee900af9d66ce09ae3375a9a54d06cbd /testprogs
parent8f274af3f851a31308b3f55b932e6d579fd66023 (diff)
downloadsamba-9f32f86018ac6463586bcac74424730a1aa9ac3b.tar.gz
samba-9f32f86018ac6463586bcac74424730a1aa9ac3b.tar.bz2
samba-9f32f86018ac6463586bcac74424730a1aa9ac3b.zip
samba-tool: updated test suite for the new domain dumpkeys option
The test suite has been changed to reflect the move from export to "domain dumpkeys" to reflect the object-action model Signed-off-by: Andrew Tridgell <tridge@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_export_keytab.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testprogs/blackbox/test_export_keytab.sh b/testprogs/blackbox/test_export_keytab.sh
index 207ed31c1c..5cb4317d81 100755
--- a/testprogs/blackbox/test_export_keytab.sh
+++ b/testprogs/blackbox/test_export_keytab.sh
@@ -46,8 +46,8 @@ USERPASS=testPaSS@01%
testit "create user locally" $VALGRIND $newuser nettestuser $USERPASS $@ || failed=`expr $failed + 1`
-testit "export keytab from domain" $VALGRIND $samba_tool export keytab $PREFIX/tmpkeytab $@ || failed=`expr $failed + 1`
-testit "export keytab from domain (2nd time)" $VALGRIND $samba_tool export keytab $PREFIX/tmpkeytab $@ || failed=`expr $failed + 1`
+testit "dump keys from domain" $VALGRIND $samba_tool domain dumpkeys keytab $PREFIX/tmpkeytab $@ || failed=`expr $failed + 1`
+testit "dump keys from domain (2nd time)" $VALGRIND $samba_tool domain dumpkeys keytab $PREFIX/tmpkeytab $@ || failed=`expr $failed + 1`
KRB5CCNAME="$PREFIX/tmpuserccache"
export KRB5CCNAME